"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestingValues = void 0;
/**
 * Test values
 */
class TestingValues {
    constructor() {
        // descriptions
        this.CacheError = 'Cache Error';
        this.InvalidTest = 'returns error';
        this.MustSupply = 'Value cannot be null or undefined:';
        this.ThrowsOnEmpty = 'throws on empty';
        this.ValidTest = 'returns valid response';
        // empty values
        this.EmptyArray = [];
        this.EmptyObject = {};
        this.EmptyString = '';
        // strings
        this.CacheName = 'cache-name';
        this.Key = 'cache-key';
        this.Value = { 'key': 'cache-value' };
        // numbers
        this.CacheExpirationSeconds = 5;
        // objects
        this.CacheNames = [this.CacheName];
    }
}
exports.TestingValues = TestingValues;
//# sourceMappingURL=test-values.js.map